#if !defined(AFX_TREEPANE_H__391D7739_0D89_11D4_A73E_FA9D3B0E614F__INCLUDED_)
#define AFX_TREEPANE_H__391D7739_0D89_11D4_A73E_FA9D3B0E614F__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000
// TreePane.h : header file
//

// Folders
#define UNKNOWN 0
#define	INBOX	1
#define OUTBOX	2
#define MAILSERVER 3
#define LOCALFOLDERS 4
#define SENTTO	5
#define DELETED 6


/////////////////////////////////////////////////////////////////////////////
// CTreePane view
class CMailList;
class CTreePane : public CTreeView
{
protected:
	CTreePane();           // protected constructor used by dynamic creation
	DECLARE_DYNCREATE(CTreePane)

// Attributes
public:

// Operations
public:
	void SetSelection( BYTE Folder);
	BYTE SelectionFolder;
	void UpdateList( CMailList *pMailList);
// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CTreePane)
	public:
	virtual void OnInitialUpdate();
	virtual BOOL Create(LPCTSTR lpszClassName, LPCTSTR lpszWindowName, DWORD dwStyle, const RECT& rect, CWnd* pParentWnd, UINT nID, CCreateContext* pContext = NULL);
	protected:
	virtual void OnDraw(CDC* pDC);      // overridden to draw this view
	//}}AFX_VIRTUAL

// Implementation
protected:
	virtual ~CTreePane();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

	// Generated message map functions
protected:
	//{{AFX_MSG(CTreePane)
	afx_msg void OnSelchanged(NMHDR* pNMHDR, LRESULT* pResult);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
private:
	CImageList ImageList;
	HTREEITEM hItemPostman;
	HTREEITEM hItemLocal;
	HTREEITEM hItemInbox;
	HTREEITEM hItemOutbox;
	HTREEITEM hItemMailServer;
	HTREEITEM hItemSentTo;
	HTREEITEM hItemDeleted;
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_TREEPANE_H__391D7739_0D89_11D4_A73E_FA9D3B0E614F__INCLUDED_)
