#if !defined(AFX_SMTPSOCKET_H__B225C422_59E5_11D5_8286_5254AB2AE30A__INCLUDED_)
#define AFX_SMTPSOCKET_H__B225C422_59E5_11D5_8286_5254AB2AE30A__INCLUDED_

#include "SndRecvDlg.h"	// Added by ClassView
#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// SMTPSocket.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CSMTPSocket command target


class CMailList;
class CMail;
class CSMTPSocket : public CAsyncSocket
{
	friend class CMailList;
	friend class CMainFrame;

// Attributes
public:
	CString	m_From;
	CString	m_Subject;
	CString	m_To;
	CString	m_CC;
	CString	m_BCC;
	CString Recipients;
	CString	m_Message;
// Operations
public:
	CSMTPSocket(CMailList * pML, CSndRecvDlg *DlgBox);
	virtual ~CSMTPSocket();

// Overrides
public:
	DWORD BytesSent;
	DWORD TotalSize;
	DWORD MailNo;
	void Quit();
	void SendMail();
	CMailList *pMailList;
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CSMTPSocket)
	public:
	virtual void OnConnect(int nErrorCode);
	virtual void OnReceive(int nErrorCode);
	virtual void OnClose(int nErrorCode);
	//}}AFX_VIRTUAL

	// Generated message map functions
	//{{AFX_MSG(CSMTPSocket)
		// NOTE - the ClassWizard will add and remove member functions here.
	//}}AFX_MSG

// Implementation
protected:
private:
	CString GetNextRecipient();
	void InitialiseRecipients();
	BYTE State;
	CString DataStore;
	CSndRecvDlg *DialogBox;
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_SMTPSOCKET_H__B225C422_59E5_11D5_8286_5254AB2AE30A__INCLUDED_)
