
//States of a POP3 connection
#define NOTCONNECTED	0
#define CONNECTING		1
#define CONNECTED		2
#define AUTHORISATION1	3
#define AUTHORISATION2	4
#define TRANSACTION		5
#define UPDATE			6
#define IDLE			7

// POP Commands
#define STAT	1
#define RETR	2
#define TOP		3
#define UIDL	4
#define LIST	5
#define DELE	6


//States of a SMTP connection

//#define NOTCONNECTED	0	// Initial state
//#define CONNECTING	1
//#define CONNECTED		2	// TCP connection established; waiting for initial greeting
#define HELO			3	// Response to initial greeting sent
#define MAIL			4	// Waiting for response to the MAIL message
#define RCPT			5	// Waiting for response to the RCPT message
#define DATA1			6	// Waiting for response to the DATA message
#define DATA2			7	// Waiting for the mail message to be accepted...
#define QUIT			8	// Waiting for response to the QUIT message
#define SMTPIDLE		9	// Waiting to read in next mail before sending it...